#
# * 9.4 Функция filter
#
'''
Подвиг 1. Вводятся названия городов в одну строчку через пробел. 
Необходимо определить функцию filter, которая бы возвращала только
названия длиной более 5 символов. Извлеките первые три полученных
значения с помощью функции next и отобразите их на экране в одну строчку
через пробел. (Полагается, что минимум три значения имеются).
# *Sample Input:
Тула Ульяновск Хабаровск Владивосток Омск Уфа
# *Sample Output:
Ульяновск Хабаровск Владивосток
'''

# print(*list(filter(lambda c: len(c) > 5, input().split()))[:3])
'''
Подвиг 2. Вводится список предметов в виде списка:
название_1: вес_1
...
название_N: вес_N
С помощью функции map, необходимо сначала преобразовать этот список
строк в кортеж, элементами которого также являются кортежи:
(('название_1', 'вес_1'), ..., ('название_N', 'вес_N'))
А, затем, отфильтровать (исключить) все предметы с весом менее 500,
используя функцию filter. Вывести на экран список оставшихся предметов
(только их названия) в одну строчку через пробел.
P. S. Для считывания списка целиком в программе уже записаны начальные строчки.
# *Sample Input:
зонт=1000
палатка=10000
спички=22
котелок=543
# *Sample Output:
зонт палатка котелок
'''
# import sys

# # считывание списка из входного потока
# lst_in = list(map(str.strip, sys.stdin.readlines()))

# # здесь продолжайте программу (используйте список lst_in)
# tp = tuple(tuple(map(str, t.split('='))) for t in lst_in)
# print(*[it[0] for it in filter(lambda item: int(item[1])  > 500, tp)])
'''
Подвиг 3. Вводится список целых чисел в одну строчку через пробел.
Необходимо оставить в нем только двузначные числа. Реализовать программу
с использованием функции filter. Результат отобразить на экране в виде
последовательности оставшихся чисел в одну строчку через пробел.
# *Sample Input:
8 11 0 -23 140 1
# *Sample Output:
11 -23
'''
# print(*filter(lambda d: 9 < abs(d) < 100, map(int,(input().split()))))
'''
Подвиг 4. Саша и Галя коллекционируют монетки. Каждый из них решил
записать номиналы монеток из своей коллекции. Получилось два списка.
Эти списки поступают на вход программы в виде двух строк из целых чисел,
записанных через пробел. Необходимо выделить значения, присутствующие в
обоих списках и оставить среди них только четные. Результат вывести на
экран в виде строки полученных чисел в порядке их возрастания через
пробел.
При реализации программы используйте функцию filter и кое-что еще (для
упрощения программы), подумайте что.
Sample Input:
1 5 2 7 10 25 50 100
5 2 3 7 10 25 55
Sample Output:
2 10
'''
# print(*filter(
#     lambda x: x % 2 == 0,
#     sorted((set(map(int,
#                     input().split())) & set(map(int,
#                                                 input().split()))))))

'''
Подвиг 5. Вводится список email-адресов в одну строчку через пробел.
Среди них нужно оставить только корректно записанные адреса. Будем
полагать, что к таким относятся те, что используют латинские буквы,
цифры и символ подчеркивания. А также в адресе должен быть символ "@", а
после него символ точки "." (между ними, конечно же, могут быть и другие
символы).
Результат отобразить в виде строки email-адресов, записанных через пробел.
# *Sample Input:
abc@it.ru dfd3.ru@mail biba123@list.ru sc_lib@list.ru $fg9@fd.com
# *Sample Output:
abc@it.ru biba123@list.ru sc_lib@list.ru
'''
# Делаем без регулярок
from string import ascii_lowercase 

def is_email(email: str) -> bool:
    chars = f'{ascii_lowercase}123456789_@.'
    if email.count('@') != 1 or email.count('.') != 1:
        return False
    if email.find('@') > email.find('.'):
        return False
    return all(c in chars for c in email.lower())
            
print(*filter(is_email, input().split())) 

